<?php

namespace App\Services;

use App\Repositories\PasswordResetRepository;

class PasswordResetService
{
    protected PasswordResetRepository $passwordResetRepository;

    public function __construct() {
        $this->passwordResetRepository = new PasswordResetRepository();
    }

    public function findValidToken($token)
    {
        return $this->passwordResetRepository->findValidToken($token);
    }

    public function markAsUsed($token)
    {
        return $this->passwordResetRepository->markAsUsed($token);
    }


    public function softDeleteAllByEmail($email)
    {
        return $this->passwordResetRepository->softDeleteAllByEmail($email);
    }
}